<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY copy "&#169;">
  <!ENTITY nbsp "&#160;">
  <!ENTITY lk "/webcenter_page/user_lang_key">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:Lang="com.esko.webcenter.jsp.LanguageMgr" exclude-result-prefixes="Lang">
  <xsl:import href="template.xsl"/>
  <xsl:import href="docdetails_template.xsl"/>
  
  <xsl:variable name="useTableBodyContainer" select="false()" />


	<!-- 
  
            template that controls the generation of the body header
            
	-->
	  <xsl:template name="bodyheader">
		<!-- no title -->
	  </xsl:template>

  <!-- 
  
            template that controls the generation of the body content
            
  -->
  <xsl:template name="bodycontent">
  
    <xsl:choose>
    	<!-- No Category assigned : display the appropriate message -->
    	<xsl:when test="no_attr_category_msg">
    		<div class="alert alert-info" role="alert">
    			<xsl:value-of select="Lang:getStr(&lk;,'PREVIEW_DOC_HAS_NO_ATTRS_CATEGORY')"/>
    		</div>
    	</xsl:when>
    	<xsl:otherwise>
		<div data-init="pages/docdetailspreview/PreviewDashboard">
			<xsl:attribute name="data-docversionid"><xsl:value-of select="doc_version/@id"/></xsl:attribute>
			<xsl:attribute name="data-chilisynctrimtext"><xsl:value-of select="/webcenter_page/CHILI_SYNC_TRIM_TEXT"/></xsl:attribute>
		</div>
    	</xsl:otherwise>
    </xsl:choose>
  
  </xsl:template>
  
  <!-- 
            template that controls the inclusion of javascript functionality 
  -->
  <xsl:template name="scriptincs">
    <xsl:call-template name="DocDetailsJavaScript"/>  
  </xsl:template>
</xsl:stylesheet>
